%global codate 20231017
%global commit c3dc4515b1aff09372cdb04aef393437dc2d8f60
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           mactelnet
Version:        1.0.0
Release:        0.%{codate}git%{shortcommit}%{?dist}
Summary:        MikroTik MAC-Telnet protocol tools

License:        GPL-2.0-or-later
URL:            https://github.com/haakonnessjoen/MAC-Telnet
Source0:        https://github.com/haakonnessjoen/MAC-Telnet/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  automake autoconf make
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  gettext-devel
BuildRequires:  openssl-devel
BuildRequires:  sed

%description
Console tools for connecting to, and serving, devices 
using MikroTik RouterOS MAC-Telnet protocol.
(Avoiding packaging mactelnetd for now)


%prep
%autosetup -n MAC-Telnet-%{commit}
# skip config/ to avoid unconditional chown/chmod and initscripts
# FIXME create proper mactelnetd subpackage/service/security setup
sed -i -e 's/ config / /' Makefile.am


%build
autoreconf -i
%configure
%make_build


%install
%make_install

# Avoid packaging mactelnetd for now
rm -f %{buildroot}%{_sbindir}/mactelnetd
rm -f %{buildroot}%{_mandir}/man1/mactelnetd*

%find_lang %{name}

%files -f %{name}.lang
%doc README.markdown
%license LICENSE
%{_bindir}/{mac*,mndp}
%{_mandir}/man1/{mac*,mndp}.1*


%changelog
* Tue Oct 17 2023 Yanko Kaneti <yaneti@declera.com> - 1.0.0-0.20231017gitc3dc451
- First attempt + review feedback (#2244677)
